Skip to main content
curl -X GET https://api.dronebundle.com/v1/job-types \
  -H "Authorization: Bearer v1_your_api_key_here"
{
  "job_types": [
    {
      "id": "wind_turbine",
      "name": "Wind Turbine",
      "icon": "wind",
      "is_predefined": true
    },
    {
      "id": "cell_tower",
      "name": "Cell Tower",
      "icon": "radio",
      "is_predefined": true
    },
    {
      "id": "019d4370-abcd-7000-8000-123456789abc",
      "name": "Bridge Survey",
      "icon": "settings",
      "is_predefined": false
    }
  ],
  "count": 3,
  "cursor": null
}
Requires an API key with read_only or full_access scope. Returns all job types for your workspace, including predefined types and any custom types you have created.

Query parameters

cursor
string
Pagination cursor from a previous response. Omit for the first page.

Response

job_types
object[]
Array of job type objects.
count
number
Total number of job types returned.
cursor
string | null
Cursor for the next page. null when there are no more results.
curl -X GET https://api.dronebundle.com/v1/job-types \
  -H "Authorization: Bearer v1_your_api_key_here"
{
  "job_types": [
    {
      "id": "wind_turbine",
      "name": "Wind Turbine",
      "icon": "wind",
      "is_predefined": true
    },
    {
      "id": "cell_tower",
      "name": "Cell Tower",
      "icon": "radio",
      "is_predefined": true
    },
    {
      "id": "019d4370-abcd-7000-8000-123456789abc",
      "name": "Bridge Survey",
      "icon": "settings",
      "is_predefined": false
    }
  ],
  "count": 3,
  "cursor": null
}